# $Id: antinat.spec,v 1.1 2003/09/05 11:40:51 dude Exp $

Summary: A SOCKS server for SOCKS4 and SOCKS5.
Name: antinat
Version: 0.62
Release: 1.fr
License: GPL
Group: System Environment/Daemons
Source: %{name}-%{version}.tar.bz2
URL: http://yallara.cs.rmit.edu.au/~malsmith/products/antinat/
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: libds >= 1.3.0
BuildRequires: libds-devel >= 1.3.0

%description
Antinat is a modular SOCKS server, showing off the new component functionality
in LibDS.  SOCKS can be used to overcome limitations of NAT (such as
connectbacks) which is where the name came from ;).

This project is partly a design experiment. It has a small kernel that loads
modules, where all the cool functionality resides. These modules do one
specific task and are small and simple. You can add modules without
recompiling the core, or remove modules to disable certain functionality.


%package socks4
Group: System Environment/Daemons
Requires: %{name} = %{version}-%{release}
Summary: Plug-in for SOCKS4 support in antinat.

%description socks4
Support for older style SOCKS4 connections in antinat.  SOCKS4 is limited
to anonymous only connections, so if authentication is required, do not
install this package.


%package logging
Group: System Environment/Daemons
Requires: %{name} = %{version}-%{release}
Summary: Plug-in for logging support in antinat.

%description logging
Support for connection and summary logging in antinat.


%package filtering
Group: System Environment/Daemons
Requires: %{name} = %{version}-%{release}
Summary: Plug-in for filtering support in antinat

%description filtering
Support for allowing and disallowing connections on the basis of some
criteria in antinat.  Included are filters for IPv4 source and destination
addresses, as well as ports.


%package anonymous
Group: System Environment/Daemons
Requires: %{name} = %{version}-%{release}
Summary: Plug-in for anonymous SOCKS5 connections support in antinat

%description anonymous
Support for anonymous (non-authenticated) connections in antinat.  If this
package is not installed, clients must give the username and password
credentials of a user on the server to proceed.  Note that socks4 will also
provide anonymous connections, in effect.


%prep
%setup -q

%build
%configure --datadir=%{_libdir}
make

%install
rm -rf %{buildroot}
%makeinstall datadir=%{buildroot}%{_libdir}
find %{buildroot}%{_libdir}/%{name}-%{version} \
    -name "*.la" -o -name "*.a" | xargs rm -f

%clean
rm -rf %{buildroot}


%files
%defattr(-, root, root, 0755)
%doc COPYING README TODO
%config(noreplace) %{_sysconfdir}/antinat.conf
%{_bindir}/*
%dir %{_libdir}/%{name}-%{version}/
%dir %{_libdir}/%{name}-%{version}/version5/
%dir %{_libdir}/%{name}-%{version}/version5/authenticators/
%{_libdir}/%{name}-%{version}/address/
%{_libdir}/%{name}-%{version}/version5/authenticators/libunpw.so
%{_libdir}/%{name}-%{version}/version5/commands/
%{_libdir}/%{name}-%{version}/version5/resolvers/
%{_libdir}/%{name}-%{version}/versions/libv5.so
%{_mandir}/man?/*


%files socks4
%defattr(-, root, root, 0755)
%dir %{_libdir}/%{name}-%{version}/
%dir %{_libdir}/%{name}-%{version}/versions/
%{_libdir}/%{name}-%{version}/version4/
%{_libdir}/%{name}-%{version}/versions/libv4.so


%files logging
%defattr(-, root, root, 0755)
%dir %{_libdir}/%{name}-%{version}/
%{_libdir}/%{name}-%{version}/loggers/
%{_localstatedir}


%files filtering
%defattr(-, root, root, 0755)
%dir %{_libdir}/%{name}-%{version}/
%{_libdir}/%{name}-%{version}/filters/


%files anonymous
%defattr(-, root, root, 0755)
%dir %{_libdir}/%{name}-%{version}/
%dir %{_libdir}/%{name}-%{version}/version5/
%dir %{_libdir}/%{name}-%{version}/version5/authenticators/
%{_libdir}/%{name}-%{version}/version5/authenticators/libanon.so


%changelog
* Fri Sep  5 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Initial RPM release based on the included spec file.

